Solid Edge Part Type Library
SaveCopyAs Method
Specifies the file name for the copy.
Description
Saves a copy of the referenced document to a file without modifying the open document.
Syntax
Visual Basic
Public Sub SaveCopyAs( _
   ByVal Name As String _
) 
Parameters
Name
Specifies the file name for the copy.
Example
Private Sub Form_Load()
    Dim objApp As SolidEdgeFramework.Application
    Dim objDoc As SolidEdgePart.PartDocument
    Const TESTFILE = "T:\vbtests\testcases\chead.par"
    Const SAVEFILE = "T:\vbtests\TestCases\test.par"
    ' Report errors
    Const PI = 3.14159265358979
    ' Create/get the application with specific settings
    On Error Resume Next
    Set objApp = GetObject(, "SolidEdge.Application")
    If Err Then
        Err.Clear
        Set objApp = CreateObject("SolidEdge.Application")
        Set objDoc = objApp.Documents.Add("SolidEdge.PartDocument")
        objApp.Visible = True
    Else
        Set objDoc = objApp.ActiveDocument
    End If
    Call objDoc.Close
    ' opening the test case file
    Set objDoc = objApp.Documents.Open(TESTFILE)
    ' saving a copy of the part document as another file
    Call objDoc.SaveCopyAs(SAVEFILE)
    ' USER DISPLAY
    ' Release objects
    Set objApp = Nothing
    Set objDoc = Nothing
End Sub
See Also

PartDocument Object  | PartDocument Members